Skip to main content

Voiceprint Conversion: start task

POST 

/api/technology/speaker-identification-voiceprint-conversion

Start Voiceprint Conversion task for a list of voiceprints.

Voiceprint Conversion features

  • The list in the voiceprints request body parameter must meet the following criteria:
    • Each voiceprint is expected to be a Base64-encoded string.
    • There must be at least one voiceprint in the list.
    • The size of the list must not exceed the configurable limit for maximum length, which defaults to 50,000 voiceprints.
  • The output is a list of vector voiceprints, where each vector voiceprint is a list of 128 floating-point numbers. Each number represents one dimension in the vector space. The order of the vector voiceprints corresponds to the order of the voiceprints in the input list.

Request

Responses

Voiceprint Conversion task was accepted. Follow the Location header to poll for the task state.

Response Headers
    X-Location

    ⚠️ Deprecated - use Location header instead.

    Example: /api/technology/speaker-identification-voiceprint-conversion/123e4567-e89b-12d3-a456-426614174000
    Location

    A URL the client should poll for task state and result.

    Example: /api/technology/speaker-identification-voiceprint-conversion/123e4567-e89b-12d3-a456-426614174000